import numpy as np
import matplotlib.pyplot as plt

XYZ_pos = []
XYZ_npos = []
for i12 in np.arange(-0.9, 1.0, 0.2):
    for i13 in np.arange(-0.9, 1.0, 0.2):
        for i23 in np.arange(-0.9, 1.0, 0.2):
            A = np.array([[1, i12, i13],
                          [i12, 1, i23],
                          [i13, i23, 1 ]])
            v = np.linalg.det(A)
            if v > 1.0e-9:
                XYZ_pos.append([i12, i13, i23])
            else:
                XYZ_npos.append([i12, i13, i23])


XYZ_pos = np.array(XYZ_pos)
XYZ_npos = np.array(XYZ_npos)

fig = plt.figure(figsize = (7,7))
ax = fig.add_subplot(projection = '3d')

ax.scatter((XYZ_pos.T)[0], (XYZ_pos.T)[1], (XYZ_pos.T)[2], color = 'r',
           label = 'Positive')
ax.scatter((XYZ_npos.T)[0], (XYZ_npos.T)[1], (XYZ_npos.T)[2], color = 'b',
           label = 'NotPositive')
ax.set_xlabel(r'$\rho_{12}$', fontsize = 18)
ax.set_ylabel(r'$\rho_{13}$', fontsize = 18)
ax.set_zlabel(r'$\rho_{23}$', fontsize = 18)

plt.legend()
plt.show()

